/***************************************************************************
                          SDLsock.h  -  provides routines for outputting
    text to sockets in a printf-style fashion, and opening sockets by
    names directly.
                             -------------------
    begin                : Sat May 17 2003
    copyright            : (C) 2003 by Tyler Montbriand
    email                : tsm@accesscomm.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation.                            *
 *                                                                         * 
 ***************************************************************************/

#ifndef __SDLSOCK_H__
#define __SDLSOCK_H__

#include <stdio.h>
#include <ctype.h>
#include <stdarg.h>
#include <SDL/SDL.h>
#include <SDL/SDL_net.h>

#ifdef __cplusplus
extern "C" {
#endif

int TCPprintf(TCPsocket sock, const char *cmdstr, ...);
int vTCPprintf(TCPsocket sock, const char *cmdstr, va_list ap);
TCPsocket OpenSock(char *addr, int port);

#ifdef __cplusplus
}
#endif

#endif/*__SDLSOCK_H__*/


